DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# SingularValueDecomposition

Singular value decomposition

## SYNOPSIS

`#include "dip_svd.h"`

dip_Error dip_SingularValueDecomposition ( in, sz, u, s, d )

## DATA TYPES

float, dfloat

## FUNCTION

Computes the SVD of the ImageArray `in`, such that `in` = `u` * `s` * transpose(`t`), with `s` being diagonal. The size of the `in` matrix is passed to the function via the IntegerArray `sz`. If the input is of size m x n, then the outputs must be u: n x m, s: n x n; d: n x n.

## ARGUMENTS

Data type | Name | Description
`dip_ImageArray` | `in` | Input
`dip_IntegerArray` | `sz` | Matrix size of Input
`dip_ImageArray` | `u` | Output
`dip_ImageArray` | `s` | Output
`dip_ImageArray` | `d` | Output

DIPlib on-line documentation | Function reference | Global function index